package com.qmth.teachcloud.report.business.enums;


public enum ValidityEnum {
    VALIDITY_FOR_PERCENT_GRADE(73,27,"百分等级大于等于73的学生和后百分等级小于等于27的学生作为效度参考标准"),
    VALIDITY_FOR_RANK(0.27,0.73,"排名在前27/100的学生和排名在后27/100成绩作为效度参考标准"),
    ;
    private final double topLimitPercent;
    private final double lowLimitPercent;
    private final String desc;

    public double getTopLimitPercent() {
        return topLimitPercent;
    }

    public double getLowLimitPercent() {
        return lowLimitPercent;
    }

    public String getDesc() {
        return desc;
    }

    ValidityEnum(double topLimitPercent, double lowLimitPercent, String desc) {
        this.topLimitPercent = topLimitPercent;
        this.lowLimitPercent = lowLimitPercent;
        this.desc = desc;
    }
}
